FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202107070256.p0.git.fa3468d BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202107070256.p0.git.fa3468d SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=fa3468dd9291796ddc2ec03b1f8c0241d458098b KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.0+fa3468d OS_GIT_COMMIT=fa3468d OS_GIT_VERSION=4.6.0-202107070256.p0.git.fa3468d-fa3468d SOURCE_DATE_EPOCH=1622052445 SOURCE_GIT_COMMIT=fa3468dd9291796ddc2ec03b1f8c0241d458098b SOURCE_GIT_TAG=fa3468d SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 
WORKDIR /go/src/github.com/openshift/local-storage-operator
COPY . .
RUN make build-diskmaker

FROM openshift/ose-base:v4.6.0.20210707.033320
ENV __doozer=update BUILD_RELEASE=202107070256.p0.git.fa3468d BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202107070256.p0.git.fa3468d SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=fa3468dd9291796ddc2ec03b1f8c0241d458098b KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.0+fa3468d OS_GIT_COMMIT=fa3468d OS_GIT_VERSION=4.6.0-202107070256.p0.git.fa3468d-fa3468d SOURCE_DATE_EPOCH=1622052445 SOURCE_GIT_COMMIT=fa3468dd9291796ddc2ec03b1f8c0241d458098b SOURCE_GIT_TAG=fa3468d SOURCE_GIT_URL=https://github.com/openshift/local-storage-operator 
COPY --from=builder /go/src/github.com/openshift/local-storage-operator/_output/bin/diskmaker /usr/bin/
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/diskmaker"]

LABEL \
        io.k8s.display-name="OpenShift local storage diskmaker" \
        io.k8s.description="This is a component of OpenShift and manages local disks." \
        maintainer="Hemant Kumar <hekumar@redhat.com>" \
        name="openshift/ose-local-storage-diskmaker" \
        com.redhat.component="local-storage-diskmaker-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="Local Storage Operator" \
        release="202107070256.p0.git.fa3468d" \
        io.openshift.build.commit.id="fa3468dd9291796ddc2ec03b1f8c0241d458098b" \
        io.openshift.build.source-location="https://github.com/openshift/local-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/local-storage-operator/commit/fa3468dd9291796ddc2ec03b1f8c0241d458098b" \
        version="v4.6.0"

